<?php 
class AMPFORWP_Theme1_Categories_Widget extends WP_Widget {

  // Set up the widget name and description.
  public function __construct() {
    $widget_options = array(
      'classname' => 'AMPFORWP_Theme1_Categories_Widget',
       'description' => __('This Widget adds categories where necessary in AMP Theme Pages','accelerated-mobile-pages')
     );
    parent::__construct( 'ampforwp_theme1_categories_widget', __('AMP News Block #1','accelerated-mobile-pages'), $widget_options );
  }

// args for the output of the form
  public $args = array(
          'id'            => 'uniqueid',
          'before_title'  => '<h4 class="widgettitle">',
          'after_title'   => '</h4>',
          'before_widget' => '<div class="widget-wrap">',
          'after_widget'  => '</div>'
      );

// Create the widget output.
  public function widget( $args, $instance ) {

    $ampforwp_category_count2 = $instance[ 'count2' ];
    $ampforwp_category_count = $instance[ 'count' ];
    $ampforwp_category_id = $instance[ 'category' ];
    $module_offset2  = $instance['module_offset2'];
    $module_offset = $instance['module_offset'];
    $ampforwp_cpt_taxonomy=$instance['review'];
    $ampforwp_cpt=$instance['portfolio'];
    $exclude_ids = array();
    
    $args = array(
        'offset' => esc_attr( $module_offset2 ),
        'cat' => $ampforwp_category_id,
        'posts_per_page' => $ampforwp_category_count, 
        'post__not_in' => $exclude_ids,
        'has_password' => false,
        'post_status'=> 'publish',
    );

    if(!empty($ampforwp_category_id) && $ampforwp_category_id!==''){
        $args['category']= $ampforwp_category_id;
    }

    if(!empty($ampforwp_cpt_taxonomy) && $ampforwp_cpt_taxonomy!=''){
       $args['taxonomy']= $ampforwp_cpt_taxonomy;
    }
    if(!empty($ampforwp_cpt) && $ampforwp_cpt!=''){
        $args['post_type']=$ampforwp_cpt;
    }

    // The Query
    $the_query = new WP_Query( $args );?>

<div class="category-block-1"> 
<?php if (!empty($ampforwp_category_count)) { ?>
    <div class="big-post-wrapper">          
                 
<?php
    // The Loop
    if ( $the_query->have_posts() ) : while ( $the_query->have_posts() ) : $the_query->the_post();
         $ampforwp_post_url = trailingslashit( get_permalink() ) . AMPFORWP_AMP_QUERY_VAR ;?>
         <div class="big-post">
         <?php if ( has_post_thumbnail() ) { ?>
                  <?php
                  $thumb_id = get_post_thumbnail_id();
                  $thumb_url_array = wp_get_attachment_image_src($thumb_id, 'amp_big_img', true);
                  $thumb_url = $thumb_url_array[0];
                  ?>                    
              <div class="big-post-img"> 
                   <a href="<?php echo  $ampforwp_post_url;?>">
                        <amp-img  class="big-post-img" src="<?php echo $thumb_url ?>" width="425" height="360" layout=responsive >                      
                        </amp-img>
                    </a>
             </div> <!-- /.big-post-img --> <?php } ?>
              <div class="big-post-content">
                    <!-- //tags -->
                   <?php global $redux_builder_amp;
                     $ampforwp_tags=  get_the_terms( get_the_ID(), 'post_tag' ); 
                    // var_dump($ampforwp_tags); die;    
                    if($ampforwp_tags){ ?><ul><?php    
                            foreach ($ampforwp_tags as $tag) {
                                echo ('<li><a href="'.trailingslashit( trailingslashit( get_tag_link( $tag->term_taxonomy_id ) ) . 'amp' ) . '" >'.$tag->name .'</a></li>');
                            }?> </ul><?php } else{  } ?>   
                     <!-- //title -->
                    <h3><a href="<?php echo $ampforwp_post_url ;?>"><?php the_title(); ?></a></h3> 
                    <!-- //author info and date --> 
                    <div class="author-info">
                        <span class="author-name"><?php the_author_meta('display_name');?>
                        <span>-</span></span>  
                        <span class="posted-date"><?php global $redux_builder_amp; echo apply_filters('ampforwp_modify_post_date', ampforwp_translation($redux_builder_amp['amp-translator-on-text']. ' ', 'On') . get_the_date( get_option( 'date_format' ) ) ) ?>                       
                        </span>
                    </div><!-- /.author-info -->
              </div><!-- /.big-post-content-->
     </div><!-- /.big-posts -->    
    <?php
      endwhile;  
      endif;?>
 </div><!-- /.big-post-wrapper -->
  <?php }

    $args2 = array(
        'offset' => esc_attr( $module_offset ),
        'cat' => $ampforwp_category_id,
        'posts_per_page' => $ampforwp_category_count2, 
        'post__not_in' => $exclude_ids,
        'has_password' => false,
        'post_status'=> 'publish'
    );

    if(!empty($ampforwp_cpt_taxonomy) && $ampforwp_cpt_taxonomy!=''){
       $args2['taxonomy']= $ampforwp_cpt_taxonomy;
      }
    if(!empty($ampforwp_cpt) && $ampforwp_cpt!=''){
       $args2['post_type']=$ampforwp_cpt;
    }

    if(!empty($ampforwp_category_id) && $ampforwp_category_id!==''){
        $args['category']= $ampforwp_category_id;
    }

    // The Query
    $the_query = new WP_Query( $args2 );?>
<?php if (!empty($ampforwp_category_count2)) { ?>
    <div class="small-post-wrapper">
      <?php // The Loop
        if ( $the_query->have_posts() ) : while ( $the_query->have_posts() ) : $the_query->the_post();
         $ampforwp_post_url = trailingslashit( get_permalink() ) . AMPFORWP_AMP_QUERY_VAR ;?>
         <?php if ( has_post_thumbnail() ) { ?>
                  <?php
                  $thumb_id = get_post_thumbnail_id();
                  $thumb_url_array = wp_get_attachment_image_src($thumb_id, 'medium', true);
                  $thumb_url = $thumb_url_array[0];
                  ?>                  
                <div class="small-post">              
                   <div class="small-post-img">
                        <a href="<?php echo $ampforwp_post_url ;?>">
                          <amp-img  class="small-post-img"  src="<?php echo $thumb_url ?>" width="238" height="178" layout=responsive >                   
                          </amp-img>
                        </a>
                    </div> <!-- /.big-post-img -->
                    <div class="small-post-content">                  
                       <a href="<?php echo $ampforwp_post_url ;?>"><?php the_title(); ?>
                       </a>                 
                    </div><!-- /.small-post-content-->                    
                </div><!-- /.small-post-wrapper -->              
                 <?php  } ?>
    <?php endwhile;  
    endif;?>    
  </div> <?php } ?>
</div> 
<?php         
 wp_reset_query() ; 
}

  // Create the admin area widget settings form.
  public function form( $instance ) {

    // Declarations for all the values to be stored
   
    $selected_category = ! empty( $instance['category'] ) ? $instance['category'] : '';
    //$ampforwp_category_count = ! empty( $instance['count'] ) ? $instance['count'] : 1 ;
    $ampforwp_cpt_taxonomy= ! empty( $instance['review'] ) ? $instance['review'] :'' ;
    $ampforwp_cpt= ! empty( $instance['portfolio'] ) ? $instance['portfolio'] : '';

    if ( isset( $instance[ 'count' ] ) ) {
            $ampforwp_category_count = $instance[ 'count' ];
        }else { $ampforwp_category_count = '1'; }  
    //$ampforwp_category_count2 = ! empty( $instance['count2'] ) ? $instance['count2'] : 4 ;
    if ( isset( $instance[ 'count2' ] ) ) {
            $ampforwp_category_count2 = $instance[ 'count2' ];
        }else { $ampforwp_category_count = '4'; }
    if ( isset( $instance[ 'module_offset2' ] ) ) {
            $module_offset2 = $instance[ 'module_offset2' ];
       } else {
           $module_offset2 = '0'; }
      if ( isset( $instance[ 'module_offset' ] ) ) {
            $module_offset = $instance[ 'module_offset' ];
        } else {
            $module_offset = '1'; }  
    ?>
    <!-- Form Ends Here -->      
        <!-- select Start Here -->
         <p>
          <label for="<?php echo esc_attr( $this->get_field_id( 'category' ) ); ?>"><?php echo __('Category:','accelerated-mobile-pages') ?>
          <select id="<?php echo $this->get_field_id('category'); ?>" name="<?php echo $this->get_field_name('category'); ?>" class="widefat" value>
            <?php

              $categories = get_categories( array(
                  'orderby' => 'name',
                  'order'   => 'ASC'
              ) );

              echo '<option selected value="none">Recent Posts (Select) </option>';
              foreach( $categories as $category ) {
                 echo '<option '. selected( $instance['category'], $category->term_id) . ' value="'. $category->term_id . '">' . $category->name . '</option>';
               } ?>
          </select>
          </label>
         </p>
        <!-- select End Here -->
        <!-- text starts Here for big post -->
        <p>       
          <label for="<?php echo $this->get_field_id( 'count' ); ?>"><?php echo __('Number of Big Posts:','accelerated-mobile-pages') ?>
          <input class="widefat" type="number" id="<?php echo $this->get_field_id( 'count' ); ?>" name="<?php echo $this->get_field_name( 'count' ); ?>" value="<?php echo esc_attr( $ampforwp_category_count ); ?>" />
          </label>
        </p>
        <!-- text End Here for big post -->
        <!-- text starts Here for Offset big post -->
        <p>
            <label for="<?php echo $this->get_field_id( 'module_offset2' ); ?>"><?php echo __('Offset for Big Post:','accelerated-mobile-pages') ?>
            <input placeholder="0" class="widefat" id="<?php echo $this->get_field_id( 'module_offset2' ); ?>" name="<?php echo $this->get_field_name( 'module_offset2' ); ?>" type="text" value="<?php echo esc_attr( $module_offset2 ); ?>" />
            </label> 
        </p>
        <!-- text End Here for Offset big post -->
        <!-- text starts Here for Small post -->
          <p>       
          <label for="<?php echo $this->get_field_id( 'count2' ); ?>"><?php echo __('Number of Small Posts:','accelerated-mobile-pages') ?>
          <input class="widefat" type="number" id="<?php echo $this->get_field_id( 'count2' ); ?>" name="<?php echo $this->get_field_name( 'count2' ); ?>" value="<?php echo esc_attr( $ampforwp_category_count2 ); ?>" />
          </label>
        </p>
        <!-- text End Here for Small post -->
        <!-- text starts Here for Offset small post -->
        <p>
            <label for="<?php echo $this->get_field_id( 'module_offset' ); ?>"><?php echo __('Offset for Small Post:','accelerated-mobile-pages') ?>
            <input placeholder="0" class="widefat" id="<?php echo $this->get_field_id( 'module_offset' ); ?>" name="<?php echo $this->get_field_name( 'module_offset' ); ?>" type="text" value="<?php echo esc_attr( $module_offset ); ?>" />
            </label> 
        </p>
        <!-- text End Here for Offset small post -->

          <!-- Custom Post Type text start from here -->
         <p>
           <label for="<?php echo $this->get_field_id('portfolio' ); ?>"><?php echo __('Post Type','accelerated-mobile-pages') ?>
                <input class="widefat" id="<?php echo $this->get_field_id('portfolio'); ?>" 
                  name="<?php echo $this->get_field_name('portfolio' ); ?>" type="text" 
                  value="<?php echo attribute_escape($ampforwp_cpt); ?>" />
           </label>
        </p>
        <!-- Custom Post Type text ends  here-->
         <p>
           <label for="<?php echo $this->get_field_id('review' ); ?>"><?php echo __('Taxonomy','accelerated-mobile-pages') ?> 
                <input class="widefat" id="<?php echo $this->get_field_id('review' ); ?>" 
                  name="<?php echo $this->get_field_name('review' ); ?>" type="text" 
                  value="<?php echo attribute_escape($ampforwp_cpt_taxonomy ); ?>" />
           </label>
        </p>

    <!--- Custom Post Type Taxnomy ends  here-->
    <!-- Form Ends Here -->
    <!-- Form Ends Here -->
    <?php
  }

  // Apply settings to the widget instance.
  public function update( $new_instance, $old_instance ) {
    $instance = $old_instance;
   
    $instance[ 'count' ] = strip_tags( $new_instance[ 'count' ] );
    $instance[ 'count2' ] = strip_tags( $new_instance[ 'count2' ] );

    if( strip_tags( $new_instance[ 'category' ] ) !== 'none' ) {
      $instance[ 'category' ] = strip_tags( $new_instance[ 'category' ] );
    } else {
      $instance[ 'category' ] = '';
    }

     $instance['module_offset2'] = ( ! empty( $new_instance['module_offset2'] ) ) ? strip_tags( $new_instance['module_offset2'] ) : '';

     $instance['module_offset'] = ( ! empty( $new_instance['module_offset'] ) ) ? strip_tags( $new_instance['module_offset'] ) : '';

    $instance['review'] = ( ! empty( $new_instance['review'] ) ) ? strip_tags( $new_instance['review'] ) : '';

    $instance['portfolio'] = ( ! empty( $new_instance['portfolio'] ) ) ? strip_tags( $new_instance['portfolio'] ) : '';
   
    return $instance;
  }

}

// Register the widget.
function ampforwp_theme1_register_categories_widget() {
  register_widget( 'AMPFORWP_Theme1_Categories_Widget' );
}
add_action( 'widgets_init', 'ampforwp_theme1_register_categories_widget' ); ?>